# Constant Field Values

## Contents

- ij.*
- ij.gui.*
- ij.io.*
- ij.macro.*
- ij.measure.*
- ij.plugin.*
- ij.process.*
- ij.text.*

## ij.*

ij.CompositeImage
Modifier and Type
Constant Field
Value
`public static final int`
`COLOR`
`2`
`public static final int`
`COMPOSITE`
`1`
`public static final int`
`GRAYSCALE`
`3`
`public static final int`
`MAX_CHANNELS`
`8`
`public static final int`
`TRANSPARENT`
`4`
ij.IJ
Modifier and Type
Constant Field
Value
`public static final int`
`ALL_KEYS`
`-1`
`public static final char`
`angstromSymbol`
`'\u00c5'`
`public static final int`
`CANCELED`
`-2147483648`
`public static final int`
`COLOR`
`2`
`public static final int`
`COMPOSITE`
`1`
`public static final char`
`degreeSymbol`
`'\u00b0'`
`public static final int`
`GRAYSCALE`
`3`
`public static final char`
`micronSymbol`
`'\u00b5'`
`public static final String`
`URL`
`"http://imagej.nih.gov/ij"`
`public static final String`
`URL2`
`"http://imagej.net/ij"`
ij.IJEventListener
Modifier and Type
Constant Field
Value
`public static final int`
`BACKGROUND_COLOR_CHANGED`
`1`
`public static final int`
`COLOR_PICKER_CLOSED`
`2`
`public static final int`
`FOREGROUND_COLOR_CHANGED`
`0`
`public static final int`
`LOG_WINDOW_CLOSED`
`3`
`public static final int`
`TOOL_CHANGED`
`4`
ij.ImageJ
Modifier and Type
Constant Field
Value
`public static final String`
`BUILD`
`""`
`public static final int`
`DEBUG`
`256`
`public static final int`
`DEFAULT_PORT`
`57294`
`public static final int`
`EMBEDDED`
`1`
`public static final int`
`IMAGEJ_APP`
`3`
`public static final int`
`NO_SHOW`
`2`
`public static final int`
`STANDALONE`
`0`
`public static final String`
`VERSION`
`"1.54g"`
ij.ImagePlus
Modifier and Type
Constant Field
Value
`protected static final int`
`CLOSED`
`1`
`public static final int`
`COLOR_256`
`3`
`public static final int`
`COLOR_RGB`
`4`
`public static final String`
`flattenTitle`
`"flatten~canvas"`
`public static final int`
`GRAY16`
`1`
`public static final int`
`GRAY32`
`2`
`public static final int`
`GRAY8`
`0`
`protected static final int`
`OPENED`
`0`
`protected static final int`
`SAVED`
`3`
`protected static final int`
`UPDATED`
`2`
ij.Macro
Modifier and Type
Constant Field
Value
`public static final String`
`MACRO_CANCELED`
`"Macro canceled"`
ij.Menus
Modifier and Type
Constant Field
Value
`public static final char`
`ABOUT_MENU`
`'a'`
`public static final int`
`COMMAND_IN_USE`
`-1`
`public static final int`
`COMMAND_NOT_FOUND`
`-5`
`public static final char`
`FILTERS_MENU`
`'f'`
`public static final char`
`IMPORT_MENU`
`'i'`
`public static final int`
`INVALID_SHORTCUT`
`-2`
`public static final int`
`MAX_OPEN_RECENT_ITEMS`
`15`
`public static final int`
`NORMAL_RETURN`
`0`
`public static final int`
`NOT_INSTALLED`
`-4`
`public static final char`
`PLUGINS_MENU`
`'p'`
`public static final char`
`SAVE_AS_MENU`
`'s'`
`public static final int`
`SHORTCUT_IN_USE`
`-3`
`public static final char`
`SHORTCUTS_MENU`
`'h'`
`public static final char`
`TOOLS_MENU`
`'t'`
`public static final char`
`UTILITIES_MENU`
`'u'`
`public static final int`
`WINDOW_MENU_ITEMS`
`6`
ij.Prefs
Modifier and Type
Constant Field
Value
`public static final String`
`BCOLOR`
`"bcolor"`
`public static final String`
`DIR_IMAGE`
`"dir.image"`
`public static final String`
`DIV_BY_ZERO_VALUE`
`"div-by-zero"`
`public static final String`
`FCOLOR`
`"fcolor"`
`public static final String`
`FPS`
`"fps"`
`public static final String`
`GUI_SCALE`
`"gui.scale"`
`public static final String`
`JPEG`
`"jpeg"`
`public static final String`
`KEY_PREFIX`
`"."`
`public static final String`
`MENU_SIZE`
`"menu.size"`
`public static final String`
`NOISE_SD`
`"noise.sd"`
`public static final String`
`OPTIONS`
`"prefs.options"`
`public static final String`
`OPTIONS2`
`"prefs.options2"`
`public static final String`
`PREFS_NAME`
`"IJ_Prefs.txt"`
`public static final String`
`PROPS_NAME`
`"IJ_Props.txt"`
`public static final String`
`ROICOLOR`
`"roicolor"`
`public static final String`
`SHOW_ALL_COLOR`
`"showcolor"`
`public static final String`
`THREADS`
`"threads"`
`public static final String`
`vistaHint`
`""`
ij.Undo
Modifier and Type
Constant Field
Value
`public static final int`
`COMPOUND_FILTER`
`4`
`public static final int`
`COMPOUND_FILTER_DONE`
`5`
`public static final int`
`FILTER`
`1`
`public static final int`
`MACRO`
`9`
`public static final int`
`NOTHING`
`0`
`public static final int`
`OVERLAY_ADDITION`
`7`
`public static final int`
`PASTE`
`3`
`public static final int`
`ROI`
`8`
`public static final int`
`TRANSFORM`
`6`
`public static final int`
`TYPE_CONVERSION`
`2`

## ij.gui.*

ij.gui.Arrow
Modifier and Type
Constant Field
Value
`public static final int`
`BAR`
`4`
`public static final String`
`DOUBLE_HEADED_KEY`
`"arrow.double"`
`public static final int`
`FILLED`
`0`
`public static final int`
`HEADLESS`
`3`
`public static final int`
`NOTCHED`
`1`
`public static final int`
`OPEN`
`2`
`public static final String`
`OUTLINE_KEY`
`"arrow.outline"`
`public static final String`
`SIZE_KEY`
`"arrow.size"`
`public static final String`
`STYLE_KEY`
`"arrow.style"`
`public static final String`
`WIDTH_KEY`
`"arrow.width"`
ij.gui.ImageCanvas
Modifier and Type
Constant Field
Value
`protected static final int`
`MAX_MOUSEMOVE_ZOOM`
`10`
ij.gui.ImageWindow
Modifier and Type
Constant Field
Value
`public static final int`
`HGAP`
`5`
`public static final String`
`LOC_KEY`
`"image.loc"`
`public static final int`
`MIN_HEIGHT`
`32`
`public static final int`
`MIN_WIDTH`
`128`
`public static final int`
`VGAP`
`5`
ij.gui.NewImage
Modifier and Type
Constant Field
Value
`public static final int`
`CHECK_AVAILABLE_MEMORY`
`8`
`public static final int`
`FILL_BLACK`
`1`
`public static final int`
`FILL_NOISE`
`3`
`public static final int`
`FILL_RAMP`
`2`
`public static final int`
`FILL_RANDOM`
`3`
`public static final int`
`FILL_WHITE`
`4`
`public static final int`
`GRAY16`
`1`
`public static final int`
`GRAY32`
`2`
`public static final int`
`GRAY8`
`0`
`public static final int`
`RGB`
`3`
`public static final int`
`SIGNED_INT`
`16`
ij.gui.Plot
Modifier and Type
Constant Field
Value
`public static final int`
`AUTO_POSITION`
`128`
`public static final int`
`BAR`
`11`
`public static final int`
`BOTTOM_LEFT`
`176`
`public static final int`
`BOTTOM_MARGIN`
`40`
`public static final int`
`BOTTOM_RIGHT`
`192`
`public static final int`
`BOX`
`3`
`public static final int`
`CENTER`
`1`
`public static final int`
`CIRCLE`
`0`
`public static final int`
`CONNECTED_CIRCLES`
`7`
`public static final int`
`COPY_AXIS_STYLE`
`128`
`public static final int`
`COPY_CONTENTS_STYLE`
`256`
`public static final int`
`COPY_EXTRA_OBJECTS`
`512`
`public static final int`
`COPY_LABELS`
`32`
`public static final int`
`COPY_LEGEND`
`64`
`public static final int`
`COPY_SIZE`
`16`
`public static final int`
`CROSS`
`5`
`public static final int`
`CUSTOM`
`9`
`public static final int`
`DEFAULT_FLAGS`
`12339`
`public static final int`
`DIAMOND`
`8`
`public static final int`
`DOT`
`6`
`public static final int`
`FILLED`
`10`
`public static final int`
`LEFT`
`0`
`public static final int`
`LEFT_MARGIN`
`65`
`public static final int`
`LEGEND_BOTTOM_UP`
`256`
`public static final int`
`LEGEND_TRANSPARENT`
`512`
`public static final int`
`LINE`
`2`
`public static final int`
`MIN_FRAMEHEIGHT`
`90`
`public static final int`
`MIN_FRAMEWIDTH`
`160`
`public static final String`
`PROPERTY_KEY`
`"thePlot"`
`public static final int`
`RIGHT`
`2`
`public static final int`
`RIGHT_MARGIN`
`18`
`public static final int`
`SEPARATED_BAR`
`12`
`public static final int`
`TOP_LEFT`
`144`
`public static final int`
`TOP_MARGIN`
`15`
`public static final int`
`TOP_RIGHT`
`160`
`public static final int`
`TRIANGLE`
`4`
`public static final int`
`X`
`1`
`public static final int`
`X_FORCE2GRID`
`64`
`public static final int`
`X_GRID`
`16`
`public static final int`
`X_LOG_NUMBERS`
`1024`
`public static final int`
`X_LOG_TICKS`
`4096`
`public static final int`
`X_MINOR_TICKS`
`256`
`public static final int`
`X_NUMBERS`
`1`
`public static final int`
`X_RANGE`
`1`
`public static final int`
`X_TICKS`
`4`
`public static final int`
`Y_FORCE2GRID`
`128`
`public static final int`
`Y_GRID`
`32`
`public static final int`
`Y_LOG_NUMBERS`
`2048`
`public static final int`
`Y_LOG_TICKS`
`8192`
`public static final int`
`Y_MINOR_TICKS`
`512`
`public static final int`
`Y_NUMBERS`
`2`
`public static final int`
`Y_RANGE`
`2`
`public static final int`
`Y_TICKS`
`8`
ij.gui.PlotContentsDialog
Modifier and Type
Constant Field
Value
`public static final int`
`ADD_FIT`
`4`
`public static final int`
`ADD_FROM_ARRAYS`
`3`
`public static final int`
`ADD_FROM_PLOT`
`1`
`public static final int`
`ADD_FROM_TABLE`
`2`
`public static final int`
`ERROR`
`-1`
`public static final int`
`STYLE`
`0`
ij.gui.PlotDialog
Modifier and Type
Constant Field
Value
`public static final int`
`AXIS_OPTIONS`
`1`
`public static final int`
`HI_RESOLUTION`
`3`
`public static final int`
`LEGEND`
`2`
`public static final int`
`SET_RANGE`
`0`
`public static final int`
`TEMPLATE`
`4`
`public static final int`
`X_AXIS`
`14`
`public static final int`
`X_LEFT`
`10`
`public static final int`
`X_RIGHT`
`11`
`public static final int`
`Y_AXIS`
`15`
`public static final int`
`Y_BOTTOM`
`12`
`public static final int`
`Y_TOP`
`13`
ij.gui.PlotWindow
Modifier and Type
Constant Field
Value
`public static final int`
`BOX`
`3`
`public static final int`
`CIRCLE`
`0`
`public static final int`
`CROSS`
`5`
`public static final int`
`LINE`
`2`
`public static final int`
`TRIANGLE`
`4`
`public static final int`
`X`
`1`
ij.gui.PointRoi
Modifier and Type
Constant Field
Value
`public static final int`
`CIRCLE`
`3`
`public static final int`
`CROSS`
`1`
`public static final int`
`CROSSHAIR`
`1`
`public static final int`
`DOT`
`2`
`public static final int`
`HYBRID`
`0`
`public static final int`
`MAX_COUNTERS`
`100`
ij.gui.ProgressBar
Modifier and Type
Constant Field
Value
`public static final int`
`HEIGHT`
`20`
`public static final int`
`WIDTH`
`120`
ij.gui.Roi
Modifier and Type
Constant Field
Value
`public static final int`
`ANGLE`
`8`
`public static final int`
`COMPOSITE`
`9`
`public static final int`
`CONSTRUCTING`
`0`
`public static final int`
`FERET_ARRAY_POINTOFFSET`
`8`
`public static final int`
`FERET_ARRAYSIZE`
`16`
`public static final int`
`FREELINE`
`7`
`public static final int`
`FREEROI`
`3`
`public static final int`
`HANDLE_SIZE`
`5`
`public static final int`
`LINE`
`5`
`public static final int`
`MOVING`
`1`
`public static final int`
`MOVING_HANDLE`
`4`
`public static final int`
`NORMAL`
`3`
`public static final int`
`NOT_PASTING`
`-1`
`public static final int`
`OVAL`
`1`
`public static final int`
`POINT`
`10`
`public static final int`
`POLYGON`
`2`
`public static final int`
`POLYLINE`
`6`
`public static final int`
`RECTANGLE`
`0`
`public static final int`
`RESIZING`
`2`
`public static final int`
`TRACED_ROI`
`4`
ij.gui.RoiListener
Modifier and Type
Constant Field
Value
`public static final int`
`COMPLETED`
`5`
`public static final int`
`CREATED`
`1`
`public static final int`
`DELETED`
`6`
`public static final int`
`EXTENDED`
`4`
`public static final int`
`MODIFIED`
`3`
`public static final int`
`MOVED`
`2`
ij.gui.TextRoi
Modifier and Type
Constant Field
Value
`public static final int`
`CENTER`
`1`
`public static final int`
`LEFT`
`0`
`public static final int`
`RIGHT`
`2`
ij.gui.Toolbar
Modifier and Type
Constant Field
Value
`public static final int`
`ANGLE`
`14`
`public static final int`
`BRUSH_ROI`
`2`
`public static final String`
`CORNER_DIAMETER`
`"toolbar.arc.size"`
`public static final int`
`CROSSHAIR`
`7`
`public static final int`
`CUSTOM1`
`15`
`public static final int`
`CUSTOM2`
`16`
`public static final int`
`CUSTOM3`
`17`
`public static final int`
`CUSTOM4`
`18`
`public static final int`
`CUSTOM5`
`19`
`public static final int`
`CUSTOM6`
`20`
`public static final int`
`CUSTOM7`
`21`
`public static final int`
`DOUBLE_CLICK_THRESHOLD`
`650`
`public static final int`
`DROPPER`
`13`
`public static final int`
`ELLIPSE_ROI`
`1`
`public static final int`
`FREELINE`
`6`
`public static final int`
`FREEROI`
`3`
`public static final int`
`HAND`
`12`
`public static final int`
`LINE`
`4`
`public static final int`
`MAGNIFIER`
`11`
`public static final int`
`OVAL`
`1`
`public static final int`
`OVAL_ROI`
`0`
`public static final int`
`POINT`
`7`
`public static final int`
`POLYGON`
`2`
`public static final int`
`POLYLINE`
`5`
`public static final int`
`RECT_ROI`
`0`
`public static final int`
`RECTANGLE`
`0`
`public static final int`
`ROTATED_RECT_ROI`
`2`
`public static final int`
`ROUNDED_RECT_ROI`
`1`
`public static final int`
`SPARE1`
`10`
`public static final int`
`SPARE2`
`15`
`public static final int`
`SPARE3`
`16`
`public static final int`
`SPARE4`
`17`
`public static final int`
`SPARE5`
`18`
`public static final int`
`SPARE6`
`19`
`public static final int`
`SPARE7`
`20`
`public static final int`
`SPARE8`
`21`
`public static final int`
`SPARE9`
`22`
`public static final int`
`TEXT`
`9`
`public static final int`
`UNUSED`
`10`
`public static final int`
`WAND`
`8`
ij.gui.Wand
Modifier and Type
Constant Field
Value
`public static final int`
`EIGHT_CONNECTED`
`8`
`public static final int`
`FOUR_CONNECTED`
`4`
`public static final int`
`LEGACY_MODE`
`1`

## ij.io.*

ij.io.FileInfo
Modifier and Type
Constant Field
Value
`public static final int`
`ABGR`
`18`
`public static final int`
`ARGB`
`9`
`public static final int`
`BARG`
`15`
`public static final int`
`BGR`
`10`
`public static final int`
`BITMAP`
`8`
`public static final int`
`BMP`
`5`
`public static final int`
`CMYK`
`19`
`public static final int`
`COLOR8`
`5`
`public static final int`
`COMPRESSION_NONE`
`1`
`public static final int`
`COMPRESSION_UNKNOWN`
`0`
`public static final int`
`DICOM`
`6`
`public static final int`
`FITS`
`4`
`public static final int`
`GIF_OR_JPG`
`3`
`public static final int`
`GRAY10_UNSIGNED`
`20`
`public static final int`
`GRAY12_UNSIGNED`
`13`
`public static final int`
`GRAY16_SIGNED`
`1`
`public static final int`
`GRAY16_UNSIGNED`
`2`
`public static final int`
`GRAY24_UNSIGNED`
`14`
`public static final int`
`GRAY32_FLOAT`
`4`
`public static final int`
`GRAY32_INT`
`3`
`public static final int`
`GRAY32_UNSIGNED`
`11`
`public static final int`
`GRAY64_FLOAT`
`16`
`public static final int`
`GRAY8`
`0`
`public static final int`
`IMAGEIO`
`9`
`public static final int`
`JPEG`
`4`
`public static final int`
`LZW`
`2`
`public static final int`
`LZW_WITH_DIFFERENCING`
`3`
`public static final int`
`PACK_BITS`
`5`
`public static final int`
`PGM`
`8`
`public static final int`
`RAW`
`1`
`public static final int`
`RGB`
`6`
`public static final int`
`RGB_PLANAR`
`7`
`public static final int`
`RGB48`
`12`
`public static final int`
`RGB48_PLANAR`
`17`
`public static final int`
`TIFF`
`2`
`public static final int`
`UNKNOWN`
`0`
`public static final int`
`ZIP`
`6`
`public static final int`
`ZIP_ARCHIVE`
`7`
`public static final int`
`ZIP_WITH_DIFFERENCING`
`7`
ij.io.FileSaver
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_JPEG_QUALITY`
`85`
ij.io.Opener
Modifier and Type
Constant Field
Value
`public static final int`
`AVI`
`16`
`public static final int`
`BMP`
`8`
`public static final int`
`CUSTOM`
`15`
`public static final int`
`DICOM`
`2`
`public static final int`
`FITS`
`3`
`public static final int`
`GIF`
`6`
`public static final int`
`JAVA_OR_TEXT`
`10`
`public static final int`
`JPEG`
`5`
`public static final int`
`LUT`
`7`
`public static final int`
`OJJ`
`17`
`public static final int`
`PGM`
`4`
`public static final int`
`PNG`
`13`
`public static final int`
`RAW`
`19`
`public static final int`
`ROI`
`11`
`public static final int`
`TABLE`
`18`
`public static final int`
`TEXT`
`12`
`public static final int`
`TIFF`
`1`
`public static final int`
`TIFF_AND_DICOM`
`14`
`public static final int`
`UNKNOWN`
`0`
`public static final int`
`ZIP`
`9`
ij.io.RoiDecoder
Modifier and Type
Constant Field
Value
`public static final int`
`ARROW`
`2`
`public static final int`
`ARROW_HEAD_SIZE`
`53`
`public static final int`
`ARROW_STYLE`
`52`
`public static final int`
`BOTTOM`
`12`
`public static final int`
`C_POSITION`
`4`
`public static final int`
`COORDINATES`
`64`
`public static final int`
`COUNTERS_OFFSET`
`48`
`public static final int`
`DOUBLE_HEADED`
`2`
`public static final int`
`DRAW_OFFSET`
`256`
`public static final int`
`ELLIPSE`
`3`
`public static final int`
`FILL_COLOR`
`44`
`public static final int`
`FLOAT_PARAM`
`52`
`public static final int`
`FLOAT_STROKE_WIDTH`
`36`
`public static final int`
`GROUP`
`30`
`public static final int`
`HEADER2_OFFSET`
`60`
`public static final int`
`HEIGHTD`
`30`
`public static final int`
`IMAGE`
`4`
`public static final int`
`IMAGE_OPACITY`
`31`
`public static final int`
`IMAGE_SIZE`
`32`
`public static final int`
`LEFT`
`10`
`public static final int`
`N_COORDINATES`
`16`
`public static final int`
`NAME_LENGTH`
`20`
`public static final int`
`NAME_OFFSET`
`16`
`public static final int`
`OPTIONS`
`50`
`public static final int`
`OUTLINE`
`4`
`public static final int`
`OVERLAY_BACKGROUNDS`
`32`
`public static final int`
`OVERLAY_BOLD`
`64`
`public static final int`
`OVERLAY_FONT_SIZE`
`28`
`public static final int`
`OVERLAY_LABEL_COLOR`
`24`
`public static final int`
`OVERLAY_LABELS`
`8`
`public static final int`
`OVERLAY_NAMES`
`16`
`public static final int`
`POINT_TYPE`
`52`
`public static final int`
`POSITION`
`56`
`public static final int`
`PROMPT_BEFORE_DELETING`
`4096`
`public static final int`
`RIGHT`
`14`
`public static final int`
`ROI_PROPS_LENGTH`
`44`
`public static final int`
`ROI_PROPS_OFFSET`
`40`
`public static final int`
`ROTATED_RECT`
`5`
`public static final int`
`ROUNDED_RECT_ARC_SIZE`
`54`
`public static final int`
`SCALE_LABELS`
`2048`
`public static final int`
`SCALE_STROKE_WIDTH`
`8192`
`public static final int`
`SHAPE_ROI_SIZE`
`36`
`public static final int`
`SHOW_LABELS`
`1024`
`public static final int`
`SIZE`
`18`
`public static final int`
`SPLINE_FIT`
`1`
`public static final int`
`STROKE_COLOR`
`40`
`public static final int`
`STROKE_WIDTH`
`34`
`public static final int`
`SUB_PIXEL_RESOLUTION`
`128`
`public static final int`
`SUBTYPE`
`48`
`public static final int`
`T_POSITION`
`12`
`public static final int`
`TEXT`
`1`
`public static final int`
`TOP`
`8`
`public static final int`
`TYPE`
`6`
`public static final int`
`VERSION_OFFSET`
`4`
`public static final int`
`WIDTHD`
`26`
`public static final int`
`X1`
`18`
`public static final int`
`X2`
`26`
`public static final int`
`XD`
`18`
`public static final int`
`Y1`
`22`
`public static final int`
`Y2`
`30`
`public static final int`
`YD`
`22`
`public static final int`
`Z_POSITION`
`8`
`public static final int`
`ZERO_TRANSPARENT`
`512`
ij.io.TiffDecoder
Modifier and Type
Constant Field
Value
`public static final int`
`ARTIST`
`315`
`public static final int`
`BITS_PER_SAMPLE`
`258`
`public static final int`
`COLOR_MAP`
`320`
`public static final int`
`COMPRESSION`
`259`
`public static final int`
`DATE_TIME`
`306`
`public static final int`
`HOST_COMPUTER`
`316`
`public static final int`
`IMAGE_DESCRIPTION`
`270`
`public static final int`
`IMAGE_LENGTH`
`257`
`public static final int`
`IMAGE_WIDTH`
`256`
`public static final int`
`IPLAB`
`34122`
`public static final int`
`JPEG_TABLES`
`347`
`public static final int`
`META_DATA`
`50839`
`public static final int`
`META_DATA_BYTE_COUNTS`
`50838`
`public static final int`
`METAMORPH1`
`33628`
`public static final int`
`METAMORPH2`
`33629`
`public static final int`
`NEW_SUBFILE_TYPE`
`254`
`public static final int`
`NIH_IMAGE_HDR`
`43314`
`public static final int`
`ORIENTATION`
`274`
`public static final int`
`PHOTO_INTERP`
`262`
`public static final int`
`PLANAR_CONFIGURATION`
`284`
`public static final int`
`PREDICTOR`
`317`
`public static final int`
`RESOLUTION_UNIT`
`296`
`public static final int`
`ROWS_PER_STRIP`
`278`
`public static final int`
`SAMPLE_FORMAT`
`339`
`public static final int`
`SAMPLES_PER_PIXEL`
`277`
`public static final int`
`SOFTWARE`
`305`
`public static final int`
`STRIP_BYTE_COUNT`
`279`
`public static final int`
`STRIP_OFFSETS`
`273`
`public static final int`
`TILE_WIDTH`
`322`
`public static final int`
`X_RESOLUTION`
`282`
`public static final int`
`Y_RESOLUTION`
`283`

## ij.macro.*

ij.macro.Debugger
Modifier and Type
Constant Field
Value
`public static final int`
`FAST_TRACE`
`3`
`public static final int`
`NOT_DEBUGGING`
`0`
`public static final int`
`RUN_TO_CARET`
`5`
`public static final int`
`RUN_TO_COMPLETION`
`4`
`public static final int`
`STEP`
`1`
`public static final int`
`TRACE`
`2`
ij.macro.MacroConstants
Modifier and Type
Constant Field
Value
`public static final int`
`ABS`
`1001`
`public static final int`
`ACOS`
`1047`
`public static final int`
`ARRAY`
`139`
`public static final int`
`ARRAY_FUNC`
`3007`
`public static final int`
`ARRAY_FUNCTION`
`137`
`public static final int`
`ASIN`
`1046`
`public static final int`
`ATAN`
`1027`
`public static final int`
`ATAN2`
`1036`
`public static final int`
`AUTO_UPDATE`
`323`
`public static final int`
`BEEP`
`304`
`public static final int`
`BIT_DEPTH`
`1025`
`public static final int`
`BREAK`
`213`
`public static final int`
`CALCULATOR`
`384`
`public static final int`
`CALIBRATE`
`1045`
`public static final int`
`CALL`
`2023`
`public static final int`
`CHANGE_VALUES`
`338`
`public static final int`
`CHAR_CODE_AT`
`1032`
`public static final int`
`CLOSE`
`368`
`public static final int`
`COLOR`
`4005`
`public static final int`
`CONTINUE`
`214`
`public static final int`
`COS`
`1002`
`public static final int`
`D2S`
`2000`
`public static final int`
`DEBUG`
`2028`
`public static final int`
`DIALOG`
`2017`
`public static final int`
`DIV_EQUAL`
`12`
`public static final int`
`DO`
`205`
`public static final int`
`DO_COMMAND`
`327`
`public static final int`
`DO_WAND`
`309`
`public static final int`
`DRAW_LINE`
`321`
`public static final int`
`DRAW_OVAL`
`389`
`public static final int`
`DRAW_RECT`
`388`
`public static final int`
`DRAW_STRING`
`325`
`public static final int`
`DUMP`
`318`
`public static final int`
`ELSE`
`203`
`public static final int`
`ENDS_WITH`
`1035`
`public static final int`
`EOF`
`128`
`public static final int`
`EQ`
`3`
`public static final int`
`EVAL`
`2014`
`public static final int`
`EXEC`
`2026`
`public static final int`
`EXIT`
`340`
`public static final int`
`EXP`
`1003`
`public static final int`
`EXT`
`2025`
`public static final int`
`FALSE`
`210`
`public static final int`
`FILE`
`2019`
`public static final int`
`FILL`
`335`
`public static final int`
`FILL_OVAL`
`390`
`public static final int`
`FILL_RECT`
`376`
`public static final int`
`FIT`
`1055`
`public static final int`
`FLOOD_FILL`
`378`
`public static final int`
`FLOOR`
`1004`
`public static final int`
`FOR`
`206`
`public static final int`
`FROM_CHAR_CODE`
`2006`
`public static final int`
`FUNCTION`
`207`
`public static final int`
`GET_ARGUMENT`
`2009`
`public static final int`
`GET_BOOLEAN`
`1033`
`public static final int`
`GET_BOUNDING_RECT`
`347`
`public static final int`
`GET_BOUNDS`
`375`
`public static final int`
`GET_COORDINATES`
`350`
`public static final int`
`GET_COUNT`
`1018`
`public static final int`
`GET_CURSOR_LOC`
`342`
`public static final int`
`GET_DATE_AND_TIME`
`382`
`public static final int`
`GET_DIMENSIONS`
`394`
`public static final int`
`GET_DIR`
`2031`
`public static final int`
`GET_DIRECTORY`
`2008`
`public static final int`
`GET_DISPLAYED_AREA`
`399`
`public static final int`
`GET_FILE_LIST`
`3003`
`public static final int`
`GET_FONT_LIST`
`3004`
`public static final int`
`GET_HEIGHT`
`1015`
`public static final int`
`GET_HISTOGRAM`
`345`
`public static final int`
`GET_ID`
`1024`
`public static final int`
`GET_IMAGE_INFO`
`2010`
`public static final int`
`GET_INFO`
`2007`
`public static final int`
`GET_LINE`
`343`
`public static final int`
`GET_LIST`
`3006`
`public static final int`
`GET_LOCATION_AND_SIZE`
`381`
`public static final int`
`GET_LUT`
`348`
`public static final int`
`GET_METADATA`
`2018`
`public static final int`
`GET_MIN_AND_MAX`
`367`
`public static final int`
`GET_NUMBER`
`1019`
`public static final int`
`GET_PIXEL`
`1000`
`public static final int`
`GET_PIXEL_SIZE`
`360`
`public static final int`
`GET_PROFILE`
`3000`
`public static final int`
`GET_RAW_STATISTICS`
`377`
`public static final int`
`GET_RESULT`
`1017`
`public static final int`
`GET_RESULT_LABEL`
`2022`
`public static final int`
`GET_RESULT_STRING`
`2030`
`public static final int`
`GET_SLICE_NUMBER`
`1042`
`public static final int`
`GET_STATISTICS`
`346`
`public static final int`
`GET_STRING`
`2004`
`public static final int`
`GET_STRING_WIDTH`
`1054`
`public static final int`
`GET_THRESHOLD`
`359`
`public static final int`
`GET_TIME`
`1013`
`public static final int`
`GET_TITLE`
`2003`
`public static final int`
`GET_VALUE`
`1051`
`public static final int`
`GET_VERSION`
`2021`
`public static final int`
`GET_VOXEL_SIZE`
`344`
`public static final int`
`GET_WIDTH`
`1014`
`public static final int`
`GET_ZOOM`
`1038`
`public static final int`
`GT`
`5`
`public static final int`
`GTE`
`6`
`public static final int`
`IF`
`202`
`public static final int`
`IJ_CALL`
`2029`
`public static final int`
`IMAGE`
`4004`
`public static final int`
`INDEX_OF`
`1030`
`public static final int`
`INVERT`
`301`
`public static final int`
`IS`
`1050`
`public static final int`
`IS_ACTIVE`
`1029`
`public static final int`
`IS_KEY_DOWN`
`1041`
`public static final int`
`IS_NAN`
`1037`
`public static final int`
`IS_OPEN`
`1028`
`public static final int`
`LAST_INDEX_OF`
`1031`
`public static final int`
`LENGTH_OF`
`1022`
`public static final int`
`LINE_TO`
`320`
`public static final int`
`LIST`
`2027`
`public static final int`
`LOG`
`1005`
`public static final int`
`LOGICAL_AND`
`13`
`public static final int`
`LOGICAL_OR`
`14`
`public static final int`
`LT`
`7`
`public static final int`
`LTE`
`8`
`public static final int`
`MACRO`
`200`
`public static final int`
`MAKE_ARROW`
`402`
`public static final int`
`MAKE_ELLIPSE`
`398`
`public static final int`
`MAKE_LINE`
`315`
`public static final int`
`MAKE_OVAL`
`316`
`public static final int`
`MAKE_POINT`
`396`
`public static final int`
`MAKE_POLYGON`
`386`
`public static final int`
`MAKE_RECTANGLE`
`317`
`public static final int`
`MAKE_ROTATED_RECT`
`403`
`public static final int`
`MAKE_SELECTION`
`352`
`public static final int`
`MAKE_TEXT`
`397`
`public static final int`
`MATCHES`
`1053`
`public static final int`
`MATH`
`1059`
`public static final int`
`MAX_OF`
`1006`
`public static final int`
`MIN_OF`
`1007`
`public static final int`
`MINUS_EQUAL`
`10`
`public static final int`
`MINUS_MINUS`
`2`
`public static final int`
`MOVE_TO`
`319`
`public static final int`
`MUL_EQUAL`
`11`
`public static final int`
`NaN`
`212`
`public static final int`
`NEQ`
`4`
`public static final int`
`NEW_ARRAY`
`3001`
`public static final int`
`NEW_IMAGE`
`370`
`public static final int`
`NEW_MENU`
`3005`
`public static final int`
`NIMAGES`
`1020`
`public static final int`
`NOP`
`131`
`public static final int`
`NRESULTS`
`1023`
`public static final int`
`NSLICES`
`1021`
`public static final int`
`NUMBER`
`130`
`public static final int`
`NUMERIC_FUNCTION`
`135`
`public static final int`
`OPEN`
`365`
`public static final int`
`OVERLAY`
`1056`
`public static final int`
`PARSE_FLOAT`
`1040`
`public static final int`
`PARSE_INT`
`1039`
`public static final int`
`PI`
`211`
`public static final int`
`PLOT`
`1058`
`public static final int`
`PLUS_EQUAL`
`9`
`public static final int`
`PLUS_PLUS`
`1`
`public static final int`
`POW`
`1008`
`public static final int`
`PREDEFINED_FUNCTION`
`134`
`public static final int`
`PRINT`
`307`
`public static final int`
`PROPERTY`
`4003`
`public static final int`
`PUT_PIXEL`
`331`
`public static final int`
`RANDOM`
`1016`
`public static final int`
`RENAME`
`374`
`public static final int`
`REPLACE`
`2016`
`public static final int`
`REQUIRES`
`322`
`public static final int`
`RESET`
`334`
`public static final int`
`RESET_MIN_MAX`
`305`
`public static final int`
`RESET_THRESHOLD`
`306`
`public static final int`
`RESTORE_PREVIOUS_TOOL`
`379`
`public static final int`
`RESTORE_SETTINGS`
`363`
`public static final int`
`RETURN`
`208`
`public static final int`
`ROI`
`4001`
`public static final int`
`ROI_MANAGER`
`1048`
`public static final int`
`ROI_MANAGER2`
`4002`
`public static final int`
`ROUND`
`1009`
`public static final int`
`RUN`
`300`
`public static final int`
`RUN_MACRO`
`2013`
`public static final int`
`SAVE`
`372`
`public static final int`
`SAVE_AS`
`371`
`public static final int`
`SAVE_SETTINGS`
`362`
`public static final int`
`SCREEN_HEIGHT`
`1044`
`public static final int`
`SCREEN_WIDTH`
`1043`
`public static final int`
`SELECT`
`302`
`public static final int`
`SELECT_IMAGE`
`339`
`public static final int`
`SELECTION_CONTAINS`
`1057`
`public static final int`
`SELECTION_NAME`
`2020`
`public static final int`
`SELECTION_TYPE`
`1026`
`public static final int`
`SET_AUTO_THRESHOLD`
`373`
`public static final int`
`SET_BACKGROUND`
`314`
`public static final int`
`SET_BATCH_MODE`
`355`
`public static final int`
`SET_COLOR`
`336`
`public static final int`
`SET_FONT`
`366`
`public static final int`
`SET_FOREGROUND`
`313`
`public static final int`
`SET_JUSTIFICATION`
`357`
`public static final int`
`SET_KEY_DOWN`
`364`
`public static final int`
`SET_LINE_WIDTH`
`337`
`public static final int`
`SET_LOCATION`
`341`
`public static final int`
`SET_LUT`
`349`
`public static final int`
`SET_METADATA`
`383`
`public static final int`
`SET_MIN_MAX`
`310`
`public static final int`
`SET_OPTION`
`391`
`public static final int`
`SET_PASTE_MODE`
`326`
`public static final int`
`SET_PIXEL`
`332`
`public static final int`
`SET_RESULT`
`353`
`public static final int`
`SET_RGB_WEIGHTS`
`385`
`public static final int`
`SET_SELECTION_LOC`
`393`
`public static final int`
`SET_SELECTION_NAME`
`387`
`public static final int`
`SET_SLICE`
`369`
`public static final int`
`SET_THRESHOLD`
`311`
`public static final int`
`SET_TOOL`
`312`
`public static final int`
`SET_VOXEL_SIZE`
`380`
`public static final int`
`SET_Z_COORDINATE`
`358`
`public static final int`
`SETUP_UNDO`
`361`
`public static final int`
`SHIFT_LEFT`
`16`
`public static final int`
`SHIFT_RIGHT`
`15`
`public static final int`
`SHOW_MESSAGE`
`330`
`public static final int`
`SHOW_MESSAGE_WITH_CANCEL`
`351`
`public static final int`
`SHOW_PROGRESS`
`329`
`public static final int`
`SHOW_STATUS`
`328`
`public static final int`
`SHOW_TEXT`
`392`
`public static final int`
`SIN`
`1010`
`public static final int`
`SNAPSHOT`
`333`
`public static final int`
`SPLIT`
`3002`
`public static final int`
`SQRT`
`1011`
`public static final int`
`STACK`
`1052`
`public static final int`
`STARTS_WITH`
`1034`
`public static final int`
`STRING`
`2024`
`public static final int`
`STRING_CONSTANT`
`133`
`public static final int`
`STRING_FUNCTION`
`136`
`public static final int`
`SUBSTRING`
`2005`
`public static final int`
`TABLE`
`4000`
`public static final int`
`TAN`
`1012`
`public static final int`
`TO_BINARY`
`2002`
`public static final int`
`TO_HEX`
`2001`
`public static final int`
`TO_LOWER_CASE`
`2011`
`public static final int`
`TO_SCALED`
`400`
`public static final int`
`TO_STRING`
`2015`
`public static final int`
`TO_UNSCALED`
`401`
`public static final int`
`TO_UPPER_CASE`
`2012`
`public static final int`
`TOK_MASK`
`4095`
`public static final int`
`TOK_SHIFT`
`12`
`public static final int`
`TOOL_ID`
`1049`
`public static final int`
`TRIM`
`2032`
`public static final int`
`TRUE`
`209`
`public static final int`
`UPDATE_DISPLAY`
`324`
`public static final int`
`UPDATE_RESULTS`
`354`
`public static final int`
`USER_FUNCTION`
`138`
`public static final int`
`VAR`
`201`
`public static final int`
`VARIABLE_FUNCTION`
`140`
`public static final int`
`WAIT`
`303`
`public static final int`
`WAIT_FOR_USER`
`395`
`public static final int`
`WHILE`
`204`
`public static final int`
`WORD`
`129`
`public static final int`
`WRITE`
`308`
ij.macro.MacroExtension
Modifier and Type
Constant Field
Value
`public static final int`
`ARG_ARRAY`
`4`
`public static final int`
`ARG_NUMBER`
`2`
`public static final int`
`ARG_OPTIONAL`
`32`
`public static final int`
`ARG_OUTPUT`
`16`
`public static final int`
`ARG_STRING`
`1`

## ij.measure.*

ij.measure.Calibration
Modifier and Type
Constant Field
Value
`public static final int`
`CUSTOM`
`22`
`public static final String`
`DEFAULT_VALUE_UNIT`
`"Gray Value"`
`public static final int`
`EXP_RECOVERY`
`13`
`public static final int`
`EXP_WITH_OFFSET`
`11`
`public static final int`
`EXPONENTIAL`
`4`
`public static final int`
`GAMMA_VARIATE`
`8`
`public static final int`
`GAUSSIAN`
`12`
`public static final int`
`LOG`
`6`
`public static final int`
`LOG2`
`9`
`public static final int`
`NONE`
`20`
`public static final int`
`POLY2`
`1`
`public static final int`
`POLY3`
`2`
`public static final int`
`POLY4`
`3`
`public static final int`
`POWER`
`5`
`public static final int`
`RODBARD`
`7`
`public static final int`
`RODBARD2`
`10`
`public static final int`
`STRAIGHT_LINE`
`0`
`public static final int`
`UNCALIBRATED_OD`
`21`
ij.measure.CurveFitter
Modifier and Type
Constant Field
Value
`public static final int`
`CHAPMAN`
`23`
`public static final int`
`ERF`
`24`
`public static final int`
`EXP_RECOVERY`
`13`
`public static final int`
`EXP_RECOVERY_NOOFFSET`
`22`
`public static final int`
`EXP_REGRESSION`
`15`
`public static final int`
`EXP_WITH_OFFSET`
`11`
`public static final int`
`EXPONENTIAL`
`4`
`public static final int`
`GAMMA_VARIATE`
`8`
`public static final int`
`GAUSSIAN`
`12`
`public static final int`
`GAUSSIAN_NOOFFSET`
`21`
`public static final int`
`INV_RODBARD`
`14`
`public static final int`
`IterFactor`
`500`
`public static final int`
`LOG`
`6`
`public static final int`
`LOG2`
`9`
`public static final int`
`POLY2`
`1`
`public static final int`
`POLY3`
`2`
`public static final int`
`POLY4`
`3`
`public static final int`
`POLY5`
`17`
`public static final int`
`POLY6`
`18`
`public static final int`
`POLY7`
`19`
`public static final int`
`POLY8`
`20`
`public static final int`
`POWER`
`5`
`public static final int`
`POWER_REGRESSION`
`16`
`public static final int`
`RODBARD`
`7`
`public static final int`
`RODBARD2`
`10`
`public static final int`
`STRAIGHT_LINE`
`0`
ij.measure.Measurements
Modifier and Type
Constant Field
Value
`public static final int`
`ADD_TO_OVERLAY`
`4194304`
`public static final int`
`ALL_STATS`
`1043199`
`public static final int`
`AREA`
`1`
`public static final int`
`AREA_FRACTION`
`524288`
`public static final int`
`CENTER_OF_MASS`
`64`
`public static final int`
`CENTROID`
`32`
`public static final int`
`CIRCULARITY`
`8192`
`public static final int`
`ELLIPSE`
`2048`
`public static final int`
`FERET`
`16384`
`public static final int`
`INTEGRATED_DENSITY`
`32768`
`public static final int`
`INVERT_Y`
`4096`
`public static final int`
`KURTOSIS`
`262144`
`public static final int`
`LABELS`
`1024`
`public static final int`
`LIMIT`
`256`
`public static final int`
`MAX_STANDARDS`
`20`
`public static final int`
`MEAN`
`2`
`public static final int`
`MEDIAN`
`65536`
`public static final int`
`MIN_MAX`
`16`
`public static final int`
`MODE`
`8`
`public static final int`
`NaN_EMPTY_CELLS`
`8388608`
`public static final int`
`PERIMETER`
`128`
`public static final int`
`RECT`
`512`
`public static final int`
`SCIENTIFIC_NOTATION`
`2097152`
`public static final int`
`SHAPE_DESCRIPTORS`
`8192`
`public static final int`
`SKEWNESS`
`131072`
`public static final int`
`SLICE`
`1048576`
`public static final int`
`STACK_POSITION`
`1048576`
`public static final int`
`STD_DEV`
`4`
ij.measure.Minimizer
Modifier and Type
Constant Field
Value
`public static final int`
`ABORTED`
`2`
`public static final int`
`INITIALIZATION_FAILURE`
`1`
`public static final int`
`MAX_ITERATIONS_EXCEEDED`
`4`
`public static final int`
`MAX_RESTARTS_EXCEEDED`
`5`
`public static final int`
`REINITIALIZATION_FAILURE`
`3`
`public static final int`
`SUCCESS`
`0`
ij.measure.ResultsTable
Modifier and Type
Constant Field
Value
`public static final int`
`ANGLE`
`17`
`public static final int`
`AREA`
`0`
`public static final int`
`AREA_FRACTION`
`24`
`public static final int`
`ASPECT_RATIO`
`33`
`public static final short`
`AUTO_FORMAT`
`-32768`
`public static final int`
`CHANNEL`
`26`
`public static final int`
`CIRCULARITY`
`18`
`public static final int`
`COLUMN_IN_USE`
`-2`
`public static final int`
`COLUMN_NOT_FOUND`
`-1`
`public static final int`
`FERET`
`19`
`public static final int`
`FERET_ANGLE`
`31`
`public static final int`
`FERET_X`
`29`
`public static final int`
`FERET_Y`
`30`
`public static final int`
`FRAME`
`28`
`public static final int`
`INTEGRATED_DENSITY`
`20`
`public static final int`
`KURTOSIS`
`23`
`public static final int`
`LAST_HEADING`
`37`
`public static final int`
`MAJOR`
`15`
`public static final int`
`MAX`
`5`
`public static final int`
`MAX_COLUMNS`
`150`
`public static final int`
`MAX_THRESHOLD`
`37`
`public static final int`
`MEAN`
`1`
`public static final int`
`MEDIAN`
`21`
`public static final int`
`MIN`
`4`
`public static final int`
`MIN_FERET`
`32`
`public static final int`
`MIN_THRESHOLD`
`36`
`public static final int`
`MINOR`
`16`
`public static final int`
`MODE`
`3`
`public static final int`
`PERIMETER`
`10`
`public static final int`
`RAW_INTEGRATED_DENSITY`
`25`
`public static final int`
`ROI_HEIGHT`
`14`
`public static final int`
`ROI_WIDTH`
`13`
`public static final int`
`ROI_X`
`11`
`public static final int`
`ROI_Y`
`12`
`public static final int`
`ROUNDNESS`
`34`
`public static final int`
`SKEWNESS`
`22`
`public static final int`
`SLICE`
`27`
`public static final int`
`SOLIDITY`
`35`
`public static final int`
`STD_DEV`
`2`
`public static final int`
`TABLE_FULL`
`-3`
`public static final int`
`X_CENTER_OF_MASS`
`8`
`public static final int`
`X_CENTROID`
`6`
`public static final int`
`Y_CENTER_OF_MASS`
`9`
`public static final int`
`Y_CENTROID`
`7`

## ij.plugin.*

ij.plugin.CalibrationBar
Modifier and Type
Constant Field
Value
`public static final double`
`STROKE_WIDTH`
`1.0001`
ij.plugin.Filters3D
Modifier and Type
Constant Field
Value
`public static final int`
`MAX`
`13`
`public static final int`
`MAXLOCAL`
`15`
`public static final int`
`MEAN`
`10`
`public static final int`
`MEDIAN`
`11`
`public static final int`
`MIN`
`12`
`public static final int`
`VAR`
`14`
ij.plugin.HyperStackConverter
Modifier and Type
Constant Field
Value
`public static final int`
`CTZ`
`1`
`public static final int`
`CZT`
`0`
`public static final int`
`TCZ`
`4`
`public static final int`
`TZC`
`5`
`public static final int`
`ZCT`
`2`
`public static final int`
`ZTC`
`3`
ij.plugin.JpegWriter
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_QUALITY`
`75`
ij.plugin.MacroInstaller
Modifier and Type
Constant Field
Value
`public static final char`
`commandPrefix`
`'^'`
`public static final int`
`MAX_MACROS`
`100`
`public static final int`
`MAX_SIZE`
`28000`
`public static final int`
`XINC`
`10`
`public static final int`
`YINC`
`18`
ij.plugin.NewPlugin
Modifier and Type
Constant Field
Value
`public static final int`
`JAVASCRIPT`
`1`
`public static final int`
`MACRO`
`0`
`public static final int`
`MACRO_TOOL`
`7`
`public static final int`
`PLUGIN`
`2`
`public static final int`
`PLUGIN_FILTER`
`3`
`public static final int`
`PLUGIN_FRAME`
`4`
`public static final int`
`PLUGIN_TOOL`
`8`
`public static final int`
`TABLE`
`6`
`public static final int`
`TEMPLATE`
`9`
`public static final int`
`TEXT_FILE`
`5`
ij.plugin.PointToolOptions
Modifier and Type
Constant Field
Value
`public static final String`
`help`
`"<html><h1>Point Tool</h1><font size=+1><ul><li> Click on a point and drag to move it.<br><li> Alt-click, or control-click, on a point to delete it.<br><li> To delete multiple points, create an area<br>selection while holding down the alt key.<br><li> Press \'alt+y\' (<i>Edit&gt;Selection&gt;Properties</i> plus<br>alt key) to display the counts in a results table.<br><li> Press \'m\' (<i>Analyze&gt;Measure</i>) to list the counter<br>and stack position associated with each point.<br><li> To measure a subset of the points, move them<br>to an overlay, create a selection and then use<br><i>Image&gt;Overlay&gt;Measure Overlay</i>.<br><li> Use <i>File&gt;Save As&gt;Tiff</i> or <i>File&gt;Save As&gt;Selection</i><br>to save the points and counts.<br><li> Press \'F\' (<i>Image&gt;Overlay</i>&gt;Flatten</i>) to create an<br>RGB image with embedded markers for export.<br><li> Hold the shift key down and points will be<br>constrained to a horizontal or vertical line.<br><li> Use <i>Edit&gt;Selection&gt;Select None</i> to delete a<br>multi-point selection.<br><li> Switch to the multi-point tool and use<br><i>Edit&gt;Selection&gt;Restore Selection</i> to restore<br>a deleted multi-point selection.<br></ul> <br></font>"`
ij.plugin.Resizer
Modifier and Type
Constant Field
Value
`public static final int`
`IN_PLACE`
`16`
`public static final int`
`SCALE_T`
`32`
ij.plugin.ZProjector
Modifier and Type
Constant Field
Value
`public static final int`
`AVG_METHOD`
`0`
`public static final String`
`lutMessage`
`"Stacks with inverting LUTs may not project correctly.\nTo create a standard LUT, invert the stack (Edit/Invert)\nand invert the LUT (Image/Lookup Tables/Invert LUT)."`
`public static final int`
`MAX_METHOD`
`1`
`public static final int`
`MEDIAN_METHOD`
`5`
`public static final int`
`MIN_METHOD`
`2`
`public static final int`
`SD_METHOD`
`4`
`public static final int`
`SUM_METHOD`
`3`

ij.plugin.filter.AVI_Writer
Modifier and Type
Constant Field
Value
`public static final int`
`JPEG_COMPRESSION`
`1196444237`
`public static final int`
`NO_COMPRESSION`
`0`
`public static final int`
`PNG_COMPRESSION`
`543649392`
ij.plugin.filter.EDM
Modifier and Type
Constant Field
Value
`public static final int`
`BYTE`
`1`
`public static final int`
`BYTE_OVERWRITE`
`0`
`public static final int`
`FLOAT`
`3`
`public static final int`
`ONE`
`41`
`public static final int`
`SHORT`
`2`
`public static final int`
`SQRT2`
`58`
`public static final int`
`SQRT5`
`92`
ij.plugin.filter.ExtendedPlugInFilter
Modifier and Type
Constant Field
Value
`public static final int`
`KEEP_PREVIEW`
`16777216`
ij.plugin.filter.ImageMath
Modifier and Type
Constant Field
Value
`public static final String`
`MACRO_KEY`
`"math.macro"`
ij.plugin.filter.MaximumFinder
Modifier and Type
Constant Field
Value
`public static final int`
`COUNT`
`5`
`public static final int`
`IN_TOLERANCE`
`1`
`public static final int`
`LIST`
`4`
`public static final int`
`POINT_SELECTION`
`3`
`public static final int`
`SEGMENTED`
`2`
`public static final int`
`SINGLE_POINTS`
`0`
ij.plugin.filter.ParticleAnalyzer
Modifier and Type
Constant Field
Value
`public static final int`
`ADD_TO_MANAGER`
`2048`
`protected static final int`
`BARE_OUTLINES`
`2`
`public static final int`
`CLEAR_WORKSHEET`
`64`
`public static final int`
`COMPOSITE_ROIS`
`131072`
`public static final int`
`DISPLAY_SUMMARY`
`256`
`protected static final int`
`ELLIPSES`
`3`
`public static final int`
`EXCLUDE_EDGE_PARTICLES`
`8`
`public static final int`
`FOUR_CONNECTED`
`8192`
`public static final int`
`IN_SITU_SHOW`
`16384`
`public static final int`
`INCLUDE_HOLES`
`1024`
`protected static final int`
`MASKS`
`4`
`protected static final int`
`NOTHING`
`0`
`protected static final int`
`OUTLINES`
`1`
`public static final int`
`OVERLAY`
`262144`
`protected static final int`
`OVERLAY_MASKS`
`7`
`protected static final int`
`OVERLAY_OUTLINES`
`6`
`public static final int`
`RECORD_STARTS`
`128`
`protected static final int`
`ROI_MASKS`
`5`
`public static final int`
`SHOW_MASKS`
`4096`
`public static final int`
`SHOW_NONE`
`512`
`public static final int`
`SHOW_OUTLINES`
`4`
`public static final int`
`SHOW_OVERLAY_MASKS`
`65536`
`public static final int`
`SHOW_OVERLAY_OUTLINES`
`32768`
`public static final int`
`SHOW_PROGRESS`
`32`
`public static final int`
`SHOW_RESULTS`
`1`
`public static final int`
`SHOW_ROI_MASKS`
`16`
`public static final int`
`SHOW_SUMMARY`
`2`
ij.plugin.filter.PlugInFilter
Modifier and Type
Constant Field
Value
`public static final int`
`CONVERT_TO_FLOAT`
`8192`
`public static final int`
`DOES_16`
`4`
`public static final int`
`DOES_32`
`8`
`public static final int`
`DOES_8C`
`2`
`public static final int`
`DOES_8G`
`1`
`public static final int`
`DOES_ALL`
`31`
`public static final int`
`DOES_RGB`
`16`
`public static final int`
`DOES_STACKS`
`32`
`public static final int`
`DONE`
`4096`
`public static final int`
`FINAL_PROCESSING`
`65536`
`public static final int`
`KEEP_THRESHOLD`
`131072`
`public static final int`
`NO_CHANGES`
`128`
`public static final int`
`NO_IMAGE_REQUIRED`
`512`
`public static final int`
`NO_UNDO`
`256`
`public static final int`
`NO_UNDO_RESET`
`524288`
`public static final int`
`PARALLELIZE_IMAGES`
`262144`
`public static final int`
`PARALLELIZE_STACKS`
`32768`
`public static final int`
`ROI_REQUIRED`
`1024`
`public static final int`
`SNAPSHOT`
`16384`
`public static final int`
`STACK_REQUIRED`
`2048`
`public static final int`
`SUPPORTS_MASKING`
`64`
ij.plugin.filter.RankFilters
Modifier and Type
Constant Field
Value
`public static final int`
`BRIGHT_OUTLIERS`
`0`
`public static final int`
`CLOSE`
`9`
`public static final int`
`DARK_OUTLIERS`
`1`
`public static final int`
`DESPECKLE`
`6`
`public static final int`
`MAX`
`2`
`public static final int`
`MEAN`
`0`
`public static final int`
`MEDIAN`
`4`
`public static final int`
`MIN`
`1`
`public static final int`
`OPEN`
`8`
`public static final int`
`OUTLIERS`
`5`
`public static final int`
`REMOVE_NAN`
`7`
`public static final int`
`TOP_HAT`
`10`
`public static final int`
`VARIANCE`
`3`
ij.plugin.filter.Rotator
Modifier and Type
Constant Field
Value
`public static final String`
`GRID`
`"|GRID|"`

ij.plugin.frame.Channels
Modifier and Type
Constant Field
Value
`public static final String`
`help`
`"<html><h1>Composite Display Modes</h1><font size=+1><ul><li> <u>Composite</u> - Effectively creates an RGB image for each channel, based on its LUT, and then adds the red, green and blue values to create the displayed image. The values are clipped at 255, which can cause saturation. For an example, open the \"Neuron (5 channel)\" sample image and compare the <i>Composite</i> and <i>Composite Max</i> display modes. This is the original ImageJ composite mode.<br><li> <u>Composite Max</u> - Similar to <i>Composite</i>, except uses the maximum of the red, green and blue values across all channels.<br><li> <u>Composite Min</u> - Similar to <i>Composite</i>, except uses the minimum of the red, green and blue values across all channels. This mode, and <i>Composite Invert</i>, require that the channels have inverting (white background) LUTs. Linear non-inverting LUTs that use a single color are automatically inverted.<br><li> <u>Composite Invert</u> - Similar to <i>Composite</i>, except the red, green and blue values are effectively subracted from 255. The values are clipped at 0, which can cause saturation.<br></ul><h1>More\u00bbCommands</h1><font size=+1><ul><li> <u>Make Composite</u> - Converts an RGB image into a three channel composite image.<br><li> <u>Create RGB image</u> - Creates an RGB version of a multichannel image.<br><li> <u>Split Channels</u> - Splits a multichannel image into separate images.<br><li> <u>Merge Channels</u> - Combines multiple images into a single multichannel image.<br><li> <u>Show LUT</u> - Displays a plot of the current channel\'s LUT. Click \"List\" to create a table of the RGB values for each of the LUT\'s 256 entries.<br><li> <u>Invert LUTs</u> - Inverts the LUTs of all the channels of a composite image. Black background LUTs with ascending RGB values are converted to inverting LUTs (descending RGB values) with white backgrounds, or vis versa. Does nothing if the LUT is not linear or it uses more than one color. This command runs the macro at http://wsr.imagej.net/macros/Invert_All_LUTs.txt.<br><li> <u>Red, Green, Blue, Cyan, Magenta, Yellow, Grays</u> - Updates the current channel\'s LUT so that it uses the selected color.<br></ul><br>The <i>\"Channels & Colors\"</i> chapter of Pete Bankhead\'s \"<i>Introduction to Bioimage Analysis</i>\" (https://bioimagebook.github.io) is a good introduction to multichannel images and LUTs.<br><br>The macro at http://wsr.imagej.net/macros/CompositeProjection.ijm uses the \"Invert LUTs\", \"RGB Stack\", \"Z Project\" and \"Invert\" commands to reproduce the four composite display modes.<br></font>"`
ij.plugin.frame.Commands
Modifier and Type
Constant Field
Value
`public static final String`
`CMDS_KEY`
`"commands.cmds"`
`public static final String`
`LOC_KEY`
`"commands.loc"`
`public static final int`
`MAX_COMMANDS`
`20`
ij.plugin.frame.ContrastAdjuster
Modifier and Type
Constant Field
Value
`public static final String`
`LOC_KEY`
`"b&c.loc"`
ij.plugin.frame.Editor
Modifier and Type
Constant Field
Value
`public static final int`
`INSTALL_BUTTON`
`8`
`public static final String`
`INTERACTIVE_NAME`
`"Interactive Interpreter"`
`public static final int`
`MACROS_MENU_ITEMS`
`15`
`public static final int`
`MAX_SIZE`
`28000`
`public static final int`
`MENU_BAR`
`2`
`public static final int`
`MONOSPACED`
`1`
`public static final int`
`RUN_BAR`
`4`
`public static final int`
`XINC`
`10`
`public static final int`
`YINC`
`18`
ij.plugin.frame.LineWidthAdjuster
Modifier and Type
Constant Field
Value
`public static final String`
`LOC_KEY`
`"line.loc"`
ij.plugin.frame.RoiManager
Modifier and Type
Constant Field
Value
`public static final String`
`LOC_KEY`
`"manager.loc"`
ij.plugin.frame.ThresholdAdjuster
Modifier and Type
Constant Field
Value
`public static final String`
`DARK_BACKGROUND`
`"threshold.dark"`
`public static final String`
`LOC_KEY`
`"threshold.loc"`
`public static final String`
`MODE_KEY`
`"threshold.mode"`
`public static final String`
`NO_RESET`
`"threshold.no-reset"`
`public static final String`
`RAW_VALUES`
`"threshold.raw"`
`public static final String`
`SIXTEEN_BIT`
`"threshold.16-bit"`

## ij.process.*

ij.process.Blitter
Modifier and Type
Constant Field
Value
`public static final int`
`ADD`
`3`
`public static final int`
`AND`
`9`
`public static final int`
`AVERAGE`
`7`
`public static final int`
`COPY`
`0`
`public static final int`
`COPY_INVERTED`
`1`
`public static final int`
`COPY_TRANSPARENT`
`2`
`public static final int`
`COPY_ZERO_TRANSPARENT`
`14`
`public static final int`
`DIFFERENCE`
`8`
`public static final int`
`DIVIDE`
`6`
`public static final int`
`MAX`
`13`
`public static final int`
`MIN`
`12`
`public static final int`
`MULTIPLY`
`5`
`public static final int`
`OR`
`10`
`public static final int`
`SUBTRACT`
`4`
`public static final int`
`XOR`
`11`
ij.process.ColorProcessor
Modifier and Type
Constant Field
Value
`public static final int`
`RGB_DILATE`
`4`
`public static final int`
`RGB_ERODE`
`3`
`public static final int`
`RGB_FIND_EDGES`
`2`
`public static final int`
`RGB_MAX`
`11`
`public static final int`
`RGB_MEDIAN`
`1`
`public static final int`
`RGB_MIN`
`10`
`public static final int`
`RGB_NOISE`
`0`
`public static final int`
`RGB_RESIZE`
`8`
`public static final int`
`RGB_ROTATE`
`6`
`public static final int`
`RGB_SCALE`
`7`
`public static final int`
`RGB_THRESHOLD`
`5`
`public static final int`
`RGB_TRANSLATE`
`9`
ij.process.ImageProcessor
Modifier and Type
Constant Field
Value
`public static final int`
`BICUBIC`
`2`
`public static final int`
`BILINEAR`
`1`
`public static final int`
`BLACK`
`-16777216`
`public static final int`
`BLACK_AND_WHITE_LUT`
`1`
`public static final int`
`BLUR_MORE`
`0`
`public static final int`
`CENTER_JUSTIFY`
`1`
`public static final int`
`CONVOLVE`
`5`
`public static final int`
`FIND_EDGES`
`1`
`public static final int`
`INVERT_PROJECTION`
`8`
`public static final int`
`ISODATA`
`0`
`public static final int`
`ISODATA2`
`1`
`public static final int`
`LEFT_JUSTIFY`
`0`
`public static final int`
`MAX`
`4`
`public static final int`
`MAX_PROJECTION`
`6`
`public static final int`
`MEDIAN_FILTER`
`2`
`public static final int`
`MIN`
`3`
`public static final int`
`MIN_PROJECTION`
`7`
`public static final int`
`NEAREST_NEIGHBOR`
`0`
`public static final int`
`NO_LUT_UPDATE`
`2`
`public static final double`
`NO_THRESHOLD`
`-808080.0`
`public static final int`
`NONE`
`0`
`public static final int`
`OVER_UNDER_LUT`
`3`
`public static final int`
`RED_LUT`
`0`
`public static final int`
`RIGHT_JUSTIFY`
`2`
`public static final int`
`SET_FIRST_CHANNEL`
`4`
`public static final int`
`SUM_PROJECTION`
`5`
`public static final int`
`UPDATE_BLUE`
`3`
`public static final int`
`UPDATE_GREEN`
`2`
`public static final int`
`UPDATE_RED`
`1`
ij.process.LUT
Modifier and Type
Constant Field
Value
`public static final String`
`nameKey`
`"CurrentLUT"`
ij.process.StackProcessor
Modifier and Type
Constant Field
Value
`public static final int`
`FILTER_MAX`
`13`
`public static final int`
`FILTER_MAXLOCAL`
`15`
`public static final int`
`FILTER_MEAN`
`10`
`public static final int`
`FILTER_MEDIAN`
`11`
`public static final int`
`FILTER_MIN`
`12`
`public static final int`
`FILTER_VAR`
`14`

## ij.text.*

ij.text.TextWindow
Modifier and Type
Constant Field
Value
`public static final String`
`DEBUG_LOC_KEY`
`"debug.loc"`
`public static final String`
`HEIGHT_KEY`
`"results.height"`
`public static final String`
`LOC_KEY`
`"results.loc"`
`public static final String`
`LOG_HEIGHT_KEY`
`"log.height"`
`public static final String`
`LOG_LOC_KEY`
`"log.loc"`
`public static final String`
`LOG_WIDTH_KEY`
`"log.width"`
`public static final String`
`WIDTH_KEY`
`"results.width"`